import { Chaining } from './';
export declare type WithAttributesType = 'withAttributes';
export interface WithAttributes {
    attributes: string[];
    expressionAttributeNames: {
        [key: string]: string;
    };
}
export declare abstract class CommonWithAttributes<ChainingKind> extends Chaining<ChainingKind | WithAttributesType> {
    protected _withAttributes: WithAttributes;
    constructor(attributes: string[], currentStack: Array<Chaining<ChainingKind>>);
    private generateExpressionAttributeNames(attrs);
}
