import { BatchDeleteResult } from '../../../database-operations/batch-delete';
import { EntitySchema } from '../../../schema';
import { Chaining } from '../../common';
import { BatchDeleteChainingKind } from './';
export declare type BatchDeleteType = 'batchDelete';
export interface BatchDelete<KeySchema> {
    schema: EntitySchema;
    keys: KeySchema[];
}
export declare class DynamoBatchDelete<Entity> extends Chaining<BatchDeleteChainingKind> {
    protected _batchDelete: BatchDelete<Entity>;
    constructor(batchDelete: BatchDelete<Entity>);
    execute(): Promise<BatchDeleteResult>;
}
