"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("../../common");
const execute_1 = require("./execute");
class DynamoBatchDelete extends common_1.Chaining {
    constructor(batchDelete) {
        super('batchDelete');
        this._batchDelete = batchDelete;
        this._stack.push(this);
    }
    execute() {
        return execute_1.execute(this._stack);
    }
}
exports.DynamoBatchDelete = DynamoBatchDelete;
