"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const batch_delete_1 = require("../../../database-operations/batch-delete");
function extractFromStack(stack) {
    const batchDeleteMetadata = stack[0]._batchDelete;
    return { batchDeleteMetadata };
}
function execute(stack) {
    const { batchDeleteMetadata } = extractFromStack(stack);
    const batchDeleteInput = batch_delete_1.buildBatchDeleteInput(batchDeleteMetadata);
    return batch_delete_1.batchDelete(batchDeleteInput, batchDeleteMetadata.schema.dynamoPromise);
}
exports.execute = execute;
