import { QueryResult } from '../../../database-operations/query';
import { Chaining } from '../../common';
import { QueryChainingKind } from './';
export declare function executeAllResults<Entity, KeySchema>(stack: Array<Chaining<QueryChainingKind>>): Promise<Pick<QueryResult<Entity, KeySchema>, "data">>;
export declare function executePaginate<Entity, KeySchema>(stack: Array<Chaining<QueryChainingKind>>): Promise<QueryResult<Entity, KeySchema>>;
