import { Chaining, CommonWithAttributes } from '../../common';
import { QueryChainingKind } from './';
import { DynamoQueryAllResults } from './all-results';
import { DynamoQueryPaginate } from './paginate';
import { DynamoQueryWithOptions, WithOptions } from './with-options';
export declare class DynamoQueryWithAttributes<Entity, KeySchema> extends CommonWithAttributes<QueryChainingKind> {
    constructor(attributes: string[], currentStack: Array<Chaining<QueryChainingKind>>);
    withOptions(options: WithOptions): DynamoQueryWithOptions<Entity, KeySchema>;
    paginate(limit?: number, lastKey?: KeySchema): DynamoQueryPaginate<Entity, KeySchema>;
    allResults(): DynamoQueryAllResults<Entity, KeySchema>;
}
