import { ScanResult } from '../../../database-operations/scan';
import { Chaining } from '../../common';
import { ScanChainingKind } from './';
export declare function executeAllResults<Entity, KeySchema>(stack: Array<Chaining<ScanChainingKind>>): Promise<Pick<ScanResult<Entity, KeySchema>, "data">>;
export declare function executePaginate<Entity, KeySchema>(stack: Array<Chaining<ScanChainingKind>>): Promise<ScanResult<Entity, KeySchema>>;
