import { ScanResult } from '../../../database-operations/scan';
import { Chaining, CommonPaginate, Paginate } from '../../common';
import { ScanChainingKind } from './';
export declare class DynamoScanPaginate<Entity, KeySchema> extends CommonPaginate<ScanChainingKind, KeySchema> {
    constructor(currentStack: Array<Chaining<ScanChainingKind>>, paginate?: Paginate<KeySchema>);
    execute(): Promise<ScanResult<Entity, KeySchema>>;
}
