import { Chaining, CommonWithAttributes } from '../../common';
import { ScanChainingKind } from './';
import { DynamoScanAllResults } from './all-results';
import { DynamoScanPaginate } from './paginate';
export declare class DynamoScanWithAttributes<Entity, KeySchema> extends CommonWithAttributes<ScanChainingKind> {
    constructor(attributes: string[], currentStack: Array<Chaining<ScanChainingKind>>);
    paginate(limit?: number, lastKey?: KeySchema): DynamoScanPaginate<Entity, KeySchema>;
    allResults(): DynamoScanAllResults<Entity, KeySchema>;
}
