"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const batch_write_1 = require("../../../database-operations/batch-write");
function extractFromStack(stack) {
    const batchWriteMetadata = stack[0]._batchWrite;
    return { batchWriteMetadata };
}
function execute(stack) {
    const { batchWriteMetadata } = extractFromStack(stack);
    const batchWriteInput = batch_write_1.buildBatchWriteInput(batchWriteMetadata);
    return batch_write_1.batchWrite(batchWriteMetadata.items, batchWriteInput, batchWriteMetadata.schema.dynamoPromise);
}
exports.execute = execute;
