import { DynamoDB } from 'aws-sdk';
import DynamoToPromise from '../dynamo-to-promise';
export interface BatchWriteResult<TableModel> {
    data: TableModel[];
}
export declare function batchWrite<Entity>(items: Entity[], batchWriteInput: DynamoDB.BatchWriteItemInput, dynamoPromise: DynamoToPromise): Promise<BatchWriteResult<Entity>>;
