import { DynamoDB } from 'aws-sdk';
declare class DynamoToPromise {
    private dynamo;
    constructor(dynamo: DynamoDB.DocumentClient);
    scan(params: DynamoDB.ScanInput): Promise<DynamoDB.ScanOutput>;
    batchGet(params: DynamoDB.BatchGetItemInput): Promise<DynamoDB.BatchGetItemOutput>;
    getItem(params: DynamoDB.GetItemInput): Promise<DynamoDB.GetItemOutput>;
    put(params: DynamoDB.PutItemInput): Promise<DynamoDB.PutItemOutput>;
    update(params: DynamoDB.UpdateItemInput): Promise<DynamoDB.UpdateItemOutput>;
    delete(params: DynamoDB.DeleteItemInput): Promise<DynamoDB.DeleteItemOutput>;
    query(params: DynamoDB.QueryInput): Promise<DynamoDB.QueryOutput>;
    batchWrite(params: DynamoDB.BatchWriteItemInput): Promise<DynamoDB.BatchWriteItemOutput>;
}
export default DynamoToPromise;
