"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const helpers_1 = require("../helpers");
function buildGetInput(get, withAttributes) {
    const input = {
        TableName: get.schema.tableName,
        Key: helpers_1.buildKey(get.key),
    };
    if (withAttributes) {
        input.ProjectionExpression = helpers_1.projectionExpression(withAttributes.attributes);
        input.ExpressionAttributeNames = withAttributes.expressionAttributeNames;
    }
    return input;
}
exports.buildGetInput = buildGetInput;
