import { DynamoDB } from 'aws-sdk';
import DynamoToPromise from '../dynamo-to-promise';
export interface PutResult<TableModel> {
    data: TableModel;
}
export declare function put<Entity>(item: Entity, putInput: DynamoDB.PutItemInput, dynamoPromise: DynamoToPromise): Promise<PutResult<Entity>>;
