import { DynamoDB } from 'aws-sdk';
import DynamoToPromise from '../dynamo-to-promise';
export interface UpdateResult<TableModel> {
    data: TableModel;
}
export declare function update<Entity>(updateInput: DynamoDB.UpdateItemInput, dynamoPromise: DynamoToPromise): Promise<UpdateResult<Entity>>;
