import AndExpression from './and';
import Expression from './expression';
import { ExpressionAttributeValues } from './operator';
import OrExpression from './or';
export default class MatchExpression extends Expression {
    and: AndExpression;
    or: OrExpression;
    protected matchValue: string;
    protected expressionAttributeNames?: {
        [key: string]: string;
    };
    protected expressionAttributeValues?: ExpressionAttributeValues;
    constructor(matchValue: string, expressionAttributeNames?: {
        [key: string]: string;
    }, expressionAttributeValues?: ExpressionAttributeValues, currentStack?: Expression[]);
}
