"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const and_1 = require("./and");
const expression_1 = require("./expression");
const or_1 = require("./or");
class NotExpression extends expression_1.default {
    constructor(expression, currentStack) {
        super('not', currentStack);
        this.notStack = expression.stack.slice();
        this.stack.push(this);
        this.and = new and_1.default(this.stack);
        this.or = new or_1.default(this.stack);
    }
}
exports.default = NotExpression;
