import ConditionExpression from './condition';
import Expression from './expression';
import MatchExpression from './match';
import NotExpression from './not';
import { ComparisonOperator, Operator } from './operator';
export default class OrExpression extends Expression {
    constructor(currentStack: Expression[]);
    condition(expression: MatchExpression | ConditionExpression | NotExpression): ConditionExpression;
    not(expression: MatchExpression | ConditionExpression | NotExpression): NotExpression;
    match(operand: string, operator: Operator): MatchExpression;
    attributeExists(attribute: string): MatchExpression;
    attributeNotExists(attribute: string): MatchExpression;
    size(attribute: string, operator: ComparisonOperator): MatchExpression;
}
