import { IndexSchema } from '../';
import { DynamoQuery, DynamoScan } from '../../chaining/find';
import { DynamoEntityWithCompositeKey } from '../dynamo-entity';
export declare class DynamoIndexWithCompositeKey<Index, PartitionKey, SortKey, KeySchema> extends DynamoEntityWithCompositeKey<Index, PartitionKey, SortKey, KeySchema> {
    constructor(indexSchema: IndexSchema);
    find(): DynamoScan<Index, KeySchema>;
    find(partitionKey: PartitionKey): DynamoQuery<Index, PartitionKey, SortKey, KeySchema>;
}
