import { IndexSchema } from '../';
import { DynamoQuery, DynamoScan } from '../../chaining/find';
import { Omit } from '../../helpers';
import { DynamoEntityWithSimpleKey } from '../dynamo-entity';
export declare class DynamoIndexWithSimpleKey<Index, PartitionKey, KeySchema> extends DynamoEntityWithSimpleKey<Index, PartitionKey, KeySchema> {
    constructor(indexSchema: IndexSchema);
    find(): DynamoScan<Index, KeySchema>;
    find(partitionKey: PartitionKey): Omit<DynamoQuery<Index, PartitionKey, {}, KeySchema>, 'withSortKeyCondition'>;
}
