import { TableSchema } from '../';
import DynamoPromise from '../../database-operations/dynamo-to-promise';
import { DynamoTableWithCompositeKey } from '../dynamo-table';
export declare class DynamoORMWithCompositeKey<Table, PartitionKey, SortKey, GlobalIndexes, LocalIndexes> extends DynamoTableWithCompositeKey<Table, PartitionKey, SortKey> {
    onIndex: GlobalIndexes & LocalIndexes;
    private globalIndexes;
    private localIndexes;
    constructor(tableSchema: TableSchema, globalIndexes: GlobalIndexes, localIndexes: LocalIndexes, dynamoPromise: DynamoPromise);
    private injectTableNameOnIndexes();
    private injectDynamoPromiseOnIndexes();
}
