import { Chaining } from './';
export declare type PaginateType = 'paginate';
export interface Paginate<KeySchema> {
    limit?: number;
    lastKey?: KeySchema;
}
export declare class CommonPaginate<ChainingKind, KeySchema> extends Chaining<ChainingKind | PaginateType> {
    private _paginate?;
    constructor(currentStack: Array<Chaining<ChainingKind>>, paginate?: Paginate<KeySchema>);
}
