import { BatchGetResult } from '../../../database-operations/batch-get';
import { Chaining, CommonWithAttributes } from '../../common';
import { BatchGetChainingKind } from './';
export declare class DynamoGetWithAttributes<Entity, KeySchema> extends CommonWithAttributes<BatchGetChainingKind> {
    constructor(attributes: string[], currentStack: Array<Chaining<BatchGetChainingKind>>);
    execute(): Promise<BatchGetResult<Entity, KeySchema>>;
}
