import { QueryResult } from '../../../database-operations/query';
import { Chaining, CommonPaginate, Paginate } from '../../common';
import { QueryChainingKind } from './';
export declare class DynamoQueryPaginate<Entity, KeySchema> extends CommonPaginate<QueryChainingKind, KeySchema> {
    constructor(currentStack: Array<Chaining<QueryChainingKind>>, paginate?: Paginate<KeySchema>);
    execute(): Promise<QueryResult<Entity, KeySchema>>;
}
