"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("../../common");
const all_results_1 = require("./all-results");
const paginate_1 = require("./paginate");
class DynamoScanWithAttributes extends common_1.CommonWithAttributes {
    constructor(attributes, currentStack) {
        super(attributes, currentStack);
    }
    paginate(limit, lastKey) {
        return new paginate_1.DynamoScanPaginate(this._stack, { limit, lastKey });
    }
    allResults() {
        return new all_results_1.DynamoScanAllResults(this._stack);
    }
}
exports.DynamoScanWithAttributes = DynamoScanWithAttributes;
