"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("../../common");
const execute_1 = require("./execute");
class DynamoBatchWrite extends common_1.Chaining {
    constructor(batchWrite) {
        super('batchWrite');
        this._batchWrite = batchWrite;
        this._stack.push(this);
    }
    execute() {
        return execute_1.execute(this._stack);
    }
}
exports.DynamoBatchWrite = DynamoBatchWrite;
