"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const marshalItem = require('dynamodb-marshaler').marshalItem;
function buildBatchDeleteInput(batchDelete) {
    const input = {
        RequestItems: {
            [batchDelete.schema.tableName]: [
                ...batchDelete.keys.map((key) => ({ DeleteRequest: { Key: marshalItem(key) } })),
            ],
        },
    };
    return input;
}
exports.buildBatchDeleteInput = buildBatchDeleteInput;
