import { DynamoDB } from 'aws-sdk';
import DynamoToPromise from '../dynamo-to-promise';
export interface BatchGetResult<TableModel, KeySchema> {
    data: TableModel[];
}
export declare function batchGet<Entity, KeySchema>(tableName: string, batchGetInput: DynamoDB.BatchGetItemInput, dynamoPromise: DynamoToPromise): Promise<BatchGetResult<Entity, KeySchema>>;
