"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const marshalItem = require('dynamodb-marshaler').marshalItem;
function buildBatchWriteInput(batchWrite) {
    const input = {
        RequestItems: {
            [batchWrite.schema.tableName]: [
                ...batchWrite.items.map((item) => ({ PutRequest: { Item: marshalItem(item) } })),
            ],
        },
    };
    return input;
}
exports.buildBatchWriteInput = buildBatchWriteInput;
