import { DynamoDB } from 'aws-sdk';
import DynamoToPromise from '../dynamo-to-promise';
export interface GetResult<TableModel, KeySchema> {
    data: TableModel;
}
export declare function get<Entity, KeySchema>(getInput: DynamoDB.GetItemInput, dynamoPromise: DynamoToPromise): Promise<GetResult<Entity, KeySchema>>;
