import { DynamoDB } from 'aws-sdk';
import { Filter, Paginate, WithAttributes } from '../../chaining/common';
import { WithOptions } from '../../chaining/find/query/with-options';
import { WithSortKeyCondition } from '../../chaining/find/query/with-sort-key-condition';
import { EntitySchema } from '../../schema';
export declare function buildQueryInput<KeySchema>(query: {
    schema: EntitySchema;
    partitionKey: string;
}, withSortKeyCondition?: WithSortKeyCondition, filter?: Filter, withAttributes?: WithAttributes, withOptions?: WithOptions, paginate?: Paginate<KeySchema>): DynamoDB.QueryInput;
