"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const and_1 = require("./and");
const expression_1 = require("./expression");
const or_1 = require("./or");
class MatchExpression extends expression_1.default {
    constructor(matchValue, expressionAttributeNames, expressionAttributeValues, currentStack) {
        super('match', currentStack);
        this.matchValue = matchValue;
        this.expressionAttributeNames = expressionAttributeNames;
        this.expressionAttributeValues = expressionAttributeValues;
        this.stack.push(this);
        this.and = new and_1.default(this.stack);
        this.or = new or_1.default(this.stack);
    }
}
exports.default = MatchExpression;
