import Expression from './expression';
export interface ResolvedExpression {
    resolvedExpression: string;
    expressionAttributeNames: {
        [key: string]: string;
    };
    expressionAttributeValues: {
        [key: string]: {
            [key: string]: string | number;
        };
    };
}
export declare function resolveExpression(expressionStack: Expression[]): ResolvedExpression;
