import { TableSchema } from '../';
import DynamoPromise from '../../database-operations/dynamo-to-promise';
import { DynamoTableWithSimpleKey } from '../dynamo-table';
export declare class DynamoORMWithSimpleKey<Table, PartitionKey, GlobalIndexes, LocalIndexes> extends DynamoTableWithSimpleKey<Table, PartitionKey> {
    onIndex: GlobalIndexes & LocalIndexes;
    private globalIndexes;
    private localIndexes;
    constructor(tableSchema: TableSchema, globalIndexes: GlobalIndexes, localIndexes: LocalIndexes, dynamoPromise: DynamoPromise);
    private injectTableNameOnIndexes();
    private injectDynamoPromiseOnIndexes();
}
